/**
 * XActRelationshipDocument.java
 *
 * File generated from the medication::XActRelationshipDocument uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XActRelationshipDocument.
 *
 * 
 */

@XmlType(name = "XActRelationshipDocument")
@XmlEnum
@XmlRootElement(name = "XActRelationshipDocument")
public enum XActRelationshipDocument {
	@XmlEnumValue("RPLC")
	RPLC("RPLC"),
	@XmlEnumValue("APND")
	APND("APND"),
	@XmlEnumValue("XFRM")
	XFRM("XFRM");
	
	private final String value;

    XActRelationshipDocument(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XActRelationshipDocument fromValue(String v) {
        for (XActRelationshipDocument c: XActRelationshipDocument.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}